Arx 多义线(AcDbPolyline)绘制实心圆

Acad::ErrorStatus
addVertexAt(unsigned int index,
			const AcGePoint2d& pt,
			double bulge = 0.,
			double startWidth = -1.,
			double endWidth = -1);

index Input index (0 based) before which to insert the vertex 

pt Input vertex location point 

bulge Input bulge value for vertex // bulge = tan(1/4. * Angle)

startWidth Input start width for vertex 

endWidth Input end width for vertex 

//Sample

double dRadius = 1.;

double bulge = tan(1 / 4. * PI);

AcGePoint2d ptCenter(0,0);

AcDbPolyline * pLine=new AcDbPolyline;

AcGePoint2d sPt = ptCenter;

AcGePoint2d ePt = sPt;

sPt.x -= dRadius  / 2.;
pLine->addVertexAt(0,sPt,bulge ,dRadius ,dRadius );

ePt.x += dRadius   / 2.;
pLine->addVertexAt(1,ePt,bulge ,dRadius ,dRadius );

pLine->addVertexAt(2,sPt,bulge ,dRadius ,dRadius );

  • 1
    点赞
  • 1
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值